### Method

# Gtk.EntryCompletion.get_model

#### Declaration [src]

    GtkTreeModel*
    gtk_entry_completion_get_model (
      GtkEntryCompletion* completion
    )

#### Description [src]

Returns the model the `GtkEntryCompletion` is using as data source.

Returns `NULL` if the model is unset.

Gets property | `Gtk.EntryCompletion:model`

#### Return value

Returns: `GtkTreeModel`
A `GtkTreeModel`, or `NULL` if none is currently being used
Ownership is not transferred to the caller
Can be `NULL`